Subject: Re: [git patches] net driver fixes

From: "Kok, Auke" <[email-masked]>
Date: Fri, 02 Mar 2007 08:17:44 -0800

Linus Torvalds wrote:
> On Thu, 1 Mar 2007, Kok, Auke wrote:
> and lspci says:
> 
> 	00:19.0 Ethernet controller: Intel Corporation 82566DM Gigabit Network Connection (rev 02)

> DMI info isn't very interesting, but it's an all-Intel board:
> 
> so it's all-intel chipset, all-intel board, and all-intel BIOS ;)

It's like the devil plays with it. We just discussed adding a piece of text 
about this issue to our README.

>> there have been problems reported with AMT2 on several chipsets (AMT2 is
>> not supported under linux, unlike AMT1), and having it enabled in the BIOS
>> produces this phenomenon.
> 
> Is there some way to at least disable AMT2 from the Linux driver (ie I 
> assume this is some issue of Intel not documenting it all - but maybe you 
> can add a "turn off that bit" to the affected chip).

Our suggestion is (IOW will be in the README) to turn AMT2 off completely in the 
BIOS, but I'll investigate if your suggestion is possible. It may be another 
workaround but this one indeed hurts.

> If I'm not the only one to see it, it's obviously not just my personal 
> ethernet switch bug, but apparently the e1000 becoming confused by some 
> link detection event (and powering down the switch probably just gets it 
> out of its confusion).

No, this fits the description perfectly of this issue. I'll get right on it and 
owe you a patch for the `e1000: not ready for irq` problem too, which seems to 
hold out after tests...

Cheers,

Auke